Subject: RE: *.COM file execution
From: [email-masked] (Andrew Dalgleish)

14 Sep 1998 03:43:01 -0700
Message-ID: <[email-masked]>
To: "Dr. Volker Zell" <[email-masked]>
Cc: [email-masked]

> -----Original Message-----
> From:	Dr. Volker Zell [SMTP:[email-masked]]
> Sent:	1998 September 11, Friday 00:47
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	Re: *.COM file execution
> 
> Hi
> 
> 
>     >> The necessary support in Cygwin32 is fixed in the development
>     >> sources / next major release:
> 
>     >>         * spawn.cc (perhaps_suffix): If report_failure_p is
>     >> non-zero this function will search for (PROG is the pathname to
>     >> the executable file) PROG.exe, PROG, PROG.com, PROG.bat, and
>     >> PROG.cmd and return either the full path name if found or NULL
>     >> if not.  (spawn_guts): If the file name of the executable end
>     >> in either .exe, .com, .bat, or .cmd we assume that it is not a
>     >> script file and therefore do not open the file to determine if
>     >> it is.
> 
> Is it possible to include the .btm extension for the 4NT command
> interpreter fans. Here the description of a btm file from the
> online-help of the 4NT command interpreter:
> 
> BTM File:  A special type of 4NT batch file which is loaded into
> memory to speed up execution.
[Andrew Dalgleish]  
I've got a patch to spawn.cc which uses NT's PATHEXT variable.
I'm still testing it, but I'll post it later this week if nothing
breaks.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".